com.brightcove.player.edge

## Class CatalogError

- java.lang.Object
- - com.brightcove.player.edge.CatalogError

- All Implemented Interfaces:
    BrightcoveError

      public final class CatalogError
      extends java.lang.Object
      implements BrightcoveError

  A Brightcove Error created when making a Playback API request using the `Catalog`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.brightcove.player.model.BrightcoveError

      `BrightcoveError.ErrorCode`

  - ### Field Summary

    - ### Fields inherited from interface com.brightcove.player.model.BrightcoveError

      `ERROR_CODE, ERROR_SUBCODE, MESSAGE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getCatalogErrorCode()` Gets the Catalog Error code
    `java.lang.String` | `getCatalogErrorSubcode()` Gets the Catalog Error subcode
    `BrightcoveError.ErrorCode` | `getErrorCode()` Gets the `BrightcoveError` code.
    `java.lang.String` | `getMessage()` Gets the Catalog Error message
    `java.lang.Throwable` | `getThrowable()` Gets the Throwable error thrown when making the Playback API request, if any.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getErrorCode

          @NonNull
          public BrightcoveError.ErrorCode getErrorCode()

      Gets the `BrightcoveError` code. Currently always returns `ErrorCode#CATALOG_ERROR`
      Specified by:
        `getErrorCode` in interface `BrightcoveError`
      Returns:
        `ErrorCode#CATALOG_ERROR`

    - #### getMessage

          @NonNull
          public java.lang.String getMessage()

      Gets the Catalog Error message
      Specified by:
        `getMessage` in interface `BrightcoveError`
      Returns:
        the error message

    - #### getThrowable

          @Nullable
          public java.lang.Throwable getThrowable()

      Gets the Throwable error thrown when making the Playback API request, if any.
      Specified by:
        `getThrowable` in interface `BrightcoveError`
      Returns:
        the throwable error

    - #### getCatalogErrorCode

          @NonNull
          public java.lang.String getCatalogErrorCode()

      Gets the Catalog Error code
      Returns:
        the error code returned from the Playback API server

    - #### getCatalogErrorSubcode

          @NonNull
          public java.lang.String getCatalogErrorSubcode()

      Gets the Catalog Error subcode
      Returns:
        the error subcode returned from the Playback API server

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          @NonNull
          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`